Bug 1893523 - libpng-devel.i686 conflicts with libpng-devel.x86_64
Summary: libpng-devel.i686 conflicts with libpng-devel.x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-01 12:45 UTC by Petr Menšík
Modified: 2020-11-05 01:03 UTC (History)
2 users (show)

Fixed In Version: libpng-1.6.37-6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-05 01:03:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Menšík 2020-11-01 12:45:17 UTC
Description of problem:
I tried to install libpng-devel.i686, when I have also installed libpng-devel.x86_64. Because of conflict of pkg-config, I cannot install it.

Version-Release number of selected component (if applicable):
libpng-devel-1.6.37-5.fc33.x86_64

How reproducible:
reliable

Steps to Reproduce:
1. dnf install libpng-devel.x86_64
2. dnf install libpng-devel.i686
3.

Actual results:
sudo dnf install libpng-devel.i686 
Last metadata expiration check: 0:01:53 ago on Sun Nov  1 13:36:16 2020.
Dependencies resolved.
================================================================================
 Package                  Architecture Version               Repository    Size
================================================================================
Installing:
 libpng-devel             i686         2:1.6.37-5.fc33       fedora       292 k
Installing dependencies:
 libpkgconf               i686         1.7.3-2.fc33          fedora        38 k
 pkgconf                  i686         1.7.3-2.fc33          fedora        41 k
 pkgconf-pkg-config       i686         1.7.3-2.fc33          fedora       9.7 k
Downgrading:
 libpkgconf               x86_64       1.7.3-2.fc33          fedora        35 k
 pkgconf                  x86_64       1.7.3-2.fc33          fedora        41 k
 pkgconf-m4               noarch       1.7.3-2.fc33          fedora        14 k
 pkgconf-pkg-config       x86_64       1.7.3-2.fc33          fedora       9.6 k

Transaction Summary
================================================================================
Install    4 Packages
Downgrade  4 Packages

Total size: 480 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] libpkgconf-1.7.3-2.fc33.x86_64.rpm: Already downloaded               
[SKIPPED] pkgconf-1.7.3-2.fc33.x86_64.rpm: Already downloaded                  
[SKIPPED] pkgconf-m4-1.7.3-2.fc33.noarch.rpm: Already downloaded               
[SKIPPED] pkgconf-pkg-config-1.7.3-2.fc33.x86_64.rpm: Already downloaded       
[SKIPPED] libpkgconf-1.7.3-2.fc33.i686.rpm: Already downloaded                 
[SKIPPED] libpng-devel-1.6.37-5.fc33.i686.rpm: Already downloaded              
[SKIPPED] pkgconf-1.7.3-2.fc33.i686.rpm: Already downloaded                    
[SKIPPED] pkgconf-pkg-config-1.7.3-2.fc33.i686.rpm: Already downloaded         
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction test error:
  file /usr/bin/pkg-config conflicts between attempted installs of pkgconf-pkg-config-1.7.3-2.fc33.i686 and pkgconf-pkg-config-1.7.3-2.fc33.x86_64



Expected results:
Successful installation.

Additional info:
I am not sure libpng should require pkg-config with architecture. Conflict in /usr/bin is understandable. One pkg-config should be enough on mixed architectures.

If you think this is problem of pkgconf-pkg-config, please move the bug.

Comment 1 Nikola Forró 2020-11-02 13:50:47 UTC
It seems this used to be part of packaging guidelines:
> Explicit Requires for architecture specific packages should specify %{?_isa} as part of the Requires.

But I don't think it makes sense, at least not in case of pkgconfig.

Comment 2 Petr Menšík 2020-11-02 14:17:56 UTC
I think that makes sense for any libraries, where platform must match. But for binary utility, it should not matter, as long as alternative architecture is able to supply useful information. I think that is the case of pkg-config.

Comment 3 Fedora Update System 2020-11-02 14:41:42 UTC
FEDORA-2020-b316757697 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b316757697

Comment 4 Fedora Update System 2020-11-03 02:25:47 UTC
FEDORA-2020-b316757697 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b316757697`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b316757697

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-11-05 01:03:24 UTC
FEDORA-2020-b316757697 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.